<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:06 +0000">

<link rel="stylesheet" type="text/css" href="../stylesheet.css">
<link rel="start" href="../overview-summary.html">

<title>ExecutableDoc (PHPDoctor)</title>

</head>
<body id="definition" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="../phpdoctor/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../phpdoctor/package-tree.html">Tree</a></li>
<li><a href="../overview-files.html">Files</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../todo-list.html">Todo</a></li>
<li><a href="../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../index.html" target="_top">Frames</a>
<a href="../phpdoctor/executabledoc.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<div class="qualifiedName">PHPDoctor\ExecutableDoc</div>
<a href="../source/classes/executabledoc.php.html#line26" class="location">classes/executableDoc.php at line 26</a>

<h1>Class ExecutableDoc</h1>

<pre class="tree"><a href="../phpdoctor/doc.html">Doc</a><br>    └─<a href="../phpdoctor/programelementdoc.html">ProgramElementDoc</a><br>       └─<strong>ExecutableDoc</strong><br /></pre>

<hr>

<p class="signature">public abstract  class <strong>ExecutableDoc</strong><br>extends <a href="../phpdoctor/programelementdoc.html">ProgramElementDoc</a>

</p>

<div class="comment" id="overview_description"><p>Represents a PHP function, method (member function) or constructor.</p></div>

<hr>

<table id="summary_method">
<tr><th colspan="2">Method Summary</th></tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#addMethod()">addMethod</a>(<a href="../phpdoctor/methoddoc.html">MethodDoc</a> function)</p><p class="description">Add a subfunction to this function.</p></td>
</tr>
<tr>
<td class="type"> str</td>
<td class="description"><p class="name"><a href="#flatSignature()">flatSignature</a>()</p><p class="description">Get flat signature. </p></td>
</tr>
<tr>
<td class="type"> <a href="../phpdoctor/methoddoc.html">MethodDoc[]</a></td>
<td class="description"><p class="name"><a href="#functions()">functions</a>()</p><p class="description">Get subfunctions.</p></td>
</tr>
<tr>
<td class="type"> <a href="../phpdoctor/tags/tag.html">Tag[]</a></td>
<td class="description"><p class="name"><a href="#paramTags()">paramTags</a>()</p><p class="description">Return the param tags in this function.</p></td>
</tr>
<tr>
<td class="type"> <a href="../phpdoctor/fielddoc.html">FieldDoc[]</a></td>
<td class="description"><p class="name"><a href="#parameters()">parameters</a>()</p><p class="description">Get argument information.</p></td>
</tr>
<tr>
<td class="type"> str</td>
<td class="description"><p class="name"><a href="#signature()">signature</a>()</p><p class="description">Get the signature. </p></td>
</tr>
<tr>
<td class="type"> <a href="../phpdoctor/classdoc.html">ClassDoc[]</a></td>
<td class="description"><p class="name"><a href="#thrownExceptions()">thrownExceptions</a>()</p><p class="description">Return exceptions this function throws.</p></td>
</tr>
<tr>
<td class="type"> <a href="../phpdoctor/type.html">Type</a></td>
<td class="description"><p class="name"><a href="#throwsTags()">throwsTags</a>()</p><p class="description">Return the throws tags in this function.</p></td>
</tr>
</table>

<table class="inherit">
<tr><th colspan="2">Methods inherited from PHPDoctor\ProgramElementDoc</th></tr>
<tr><td><a href="../phpdoctor/programelementdoc.html#asPath()">asPath</a>, <a href="../phpdoctor/programelementdoc.html#containingClass()">containingClass</a>, <a href="../phpdoctor/programelementdoc.html#containingPackage()">containingPackage</a>, <a href="../phpdoctor/programelementdoc.html#isFinal()">isFinal</a>, <a href="../phpdoctor/programelementdoc.html#isPrivate()">isPrivate</a>, <a href="../phpdoctor/programelementdoc.html#isProtected()">isProtected</a>, <a href="../phpdoctor/programelementdoc.html#isPublic()">isPublic</a>, <a href="../phpdoctor/programelementdoc.html#isStatic()">isStatic</a>, <a href="../phpdoctor/programelementdoc.html#location()">location</a>, <a href="../phpdoctor/programelementdoc.html#makePrivate()">makePrivate</a>, <a href="../phpdoctor/programelementdoc.html#makeProtected()">makeProtected</a>, <a href="../phpdoctor/programelementdoc.html#makePublic()">makePublic</a>, <a href="../phpdoctor/programelementdoc.html#modifiers()">modifiers</a>, <a href="../phpdoctor/programelementdoc.html#packageName()">packageName</a>, <a href="../phpdoctor/programelementdoc.html#qualifiedName()">qualifiedName</a>, <a href="../phpdoctor/programelementdoc.html#sourceFilename()">sourceFilename</a>, <a href="../phpdoctor/programelementdoc.html#sourceLine()">sourceLine</a></td></tr></table>

<table class="inherit">
<tr><th colspan="2">Methods inherited from PHPDoctor\Doc</th></tr>
<tr><td><a href="../phpdoctor/doc.html#getHTMLContents()">getHTMLContents</a>, <a href="../phpdoctor/doc.html#getRawCommentText()">getRawCommentText</a>, <a href="../phpdoctor/doc.html#isClass()">isClass</a>, <a href="../phpdoctor/doc.html#isConstructor()">isConstructor</a>, <a href="../phpdoctor/doc.html#isException()">isException</a>, <a href="../phpdoctor/doc.html#isField()">isField</a>, <a href="../phpdoctor/doc.html#isFinal()">isFinal</a>, <a href="../phpdoctor/doc.html#isFunction()">isFunction</a>, <a href="../phpdoctor/doc.html#isGlobal()">isGlobal</a>, <a href="../phpdoctor/doc.html#isInterface()">isInterface</a>, <a href="../phpdoctor/doc.html#isMethod()">isMethod</a>, <a href="../phpdoctor/doc.html#isOrdinaryClass()">isOrdinaryClass</a>, <a href="../phpdoctor/doc.html#mergeData()">mergeData</a>, <a href="../phpdoctor/doc.html#name()">name</a>, <a href="../phpdoctor/doc.html#set()">set</a>, <a href="../phpdoctor/doc.html#setByRef()">setByRef</a>, <a href="../phpdoctor/doc.html#setTag()">setTag</a>, <a href="../phpdoctor/doc.html#tags()">tags</a></td></tr></table>

<h2 id="detail_method">Method Detail</h2>
<a href="../source/classes/executabledoc.php.html#line51" class="location">classes/executableDoc.php at line 51</a>

<h3 id="addMethod()">addMethod</h3>
<code class="signature">public  void <strong>addMethod</strong>(<a href="../phpdoctor/methoddoc.html">MethodDoc</a> function)</code>
<div class="details">
<p>Add a subfunction to this function.</p></div>

<hr>

<a href="../source/classes/executabledoc.php.html#line160" class="location">classes/executableDoc.php at line 160</a>

<h3 id="flatSignature()">flatSignature</h3>
<code class="signature">public  str <strong>flatSignature</strong>()</code>
<div class="details">
<p>Get flat signature. Return a string which is the flat signiture of this
function. It is the parameter list, type is not qualified.</p><p><pre>for a function
mymethod(foo x, int y)
it will return
(foo x, int y)</pre></p><p>Recognised types are turned into HTML anchor tags to the documentation
page for the class defining them.</p></div>

<hr>

<a href="../source/classes/executabledoc.php.html#line70" class="location">classes/executableDoc.php at line 70</a>

<h3 id="functions()">functions</h3>
<code class="signature">public  <a href="../phpdoctor/methoddoc.html">MethodDoc[]</a> <strong>functions</strong>()</code>
<div class="details">
<p>Get subfunctions.</p><dl>
<dt>Returns:</dt>
<dd>An array of subfunctions.</dd>
</dl>
</div>

<hr>

<a href="../source/classes/executabledoc.php.html#line88" class="location">classes/executableDoc.php at line 88</a>

<h3 id="paramTags()">paramTags</h3>
<code class="signature">public  <a href="../phpdoctor/tags/tag.html">Tag[]</a> <strong>paramTags</strong>()</code>
<div class="details">
<p>Return the param tags in this function.</p></div>

<hr>

<a href="../source/classes/executabledoc.php.html#line61" class="location">classes/executableDoc.php at line 61</a>

<h3 id="parameters()">parameters</h3>
<code class="signature">public  <a href="../phpdoctor/fielddoc.html">FieldDoc[]</a> <strong>parameters</strong>()</code>
<div class="details">
<p>Get argument information.</p><dl>
<dt>Returns:</dt>
<dd>An array of parameter, one element per argument in the order the arguments are present</dd>
</dl>
</div>

<hr>

<a href="../source/classes/executabledoc.php.html#line130" class="location">classes/executableDoc.php at line 130</a>

<h3 id="signature()">signature</h3>
<code class="signature">public  str <strong>signature</strong>()</code>
<div class="details">
<p>Get the signature. It is the parameter list, type is qualified.</p><p><pre>for a function
mymethod(foo x, int y)
it will return
(bar.foo x, int y)</pre></p><p>Recognised types are turned into HTML anchor tags to the documentation
page for the class defining them.</p></div>

<hr>

<a href="../source/classes/executabledoc.php.html#line79" class="location">classes/executableDoc.php at line 79</a>

<h3 id="thrownExceptions()">thrownExceptions</h3>
<code class="signature">public  <a href="../phpdoctor/classdoc.html">ClassDoc[]</a> <strong>thrownExceptions</strong>()</code>
<div class="details">
<p>Return exceptions this function throws.</p></div>

<hr>

<a href="../source/classes/executabledoc.php.html#line105" class="location">classes/executableDoc.php at line 105</a>

<h3 id="throwsTags()">throwsTags</h3>
<code class="signature">public  <a href="../phpdoctor/type.html">Type</a> <strong>throwsTags</strong>()</code>
<div class="details">
<p>Return the throws tags in this function.</p></div>

<hr>

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="../phpdoctor/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../phpdoctor/package-tree.html">Tree</a></li>
<li><a href="../overview-files.html">Files</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../todo-list.html">Todo</a></li>
<li><a href="../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../index.html" target="_top">Frames</a>
<a href="../phpdoctor/executabledoc.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>